View Issue Details

IDProjectCategoryView StatusLast Update
0000426Kali Linux[All Projects] General Bugpublic2015-08-23 19:05
Reportermatthews Assigned Todookie  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.6 
Summary0000426: wpscan after apt-get dist-upgrade
Descriptionwpscan after apt-get dist-upgrade

root@matthews:~# wpscan -u www.matthews-id.com
Could not find gem 'ruby-progressbar (>= 1.1.0) ruby' in the gems available on this machine.
Run `bundle install` to install missing gems.
root@matthews:~# bundle install
Could not locate Gemfile
root@matthews:~#

Activities

matthews

2013-06-27 11:32

reporter  

CS

2013-06-28 18:26

reporter   ~0000600

I have the same issue. wpscan was upgraded to latest version using "apt-get upgrade" and then I got this error.

dookie

2013-07-09 19:54

administrator   ~0000622

We are unable to replicate. If you're still having the issue, please update this ticket with the exact version you have installed, after running another apt-get update && apt-get dist-upgrade.

matthews

2013-07-11 12:20

reporter   ~0000629

root@matthews:~# dpkg --list wpscan
Harapan=tak-diKenal/Pasang/Buang/Musnahkan/Cekal
| Status=tDk/Psng/brks-Konfg/diBuka/konfg-Gagal/Stgah-psng/tngu-pmicU/tunda-pmiCu
|/ Galat?=(tiada)/Hrs-psg-lagi (Status,Galat: huruf-besar=buruk)
||/ Nama Versi Architecture Keterangan
+++-===============================-====================-====================-===================================================================
ii wpscan 2.1+git20130626-1kal all WPScan is a black box WordPress vulnerability scanner.
root@matthews:~# dpkg --status wpscan
Package: wpscan
Status: install ok installed
Priority: extra
Section: utils
Installed-Size: 5672
Maintainer: Mati Aharoni <muts@kali.org>
Architecture: all
Version: 2.1+git20130626-1kali0
Depends: ruby1.9.1, rubygems, libcurl4-gnutls-dev, libopenssl-ruby, libxml2, ruby-addressable, ruby-crack, ruby-diff-lcs, ruby-ffi, ruby-json, ruby-mime-types, ruby-nokogiri, ruby-rspec-core, ruby-rspec-expectations, ruby-rspec-mocks, ruby-rspec, ruby-simplecov-html, ruby-ethon, ruby-typhoeus, ruby-ruby-progressbar, ruby-terminal-table, ruby-simplecov
Description: WPScan is a black box WordPress vulnerability scanner.
 WPScan is a black box WordPress vulnerability scanner.
Homepage: http://www.wpscan.org
root@matthews:~#

matthews

2013-07-11 12:20

reporter  

rainercfm

2013-07-11 19:05

reporter   ~0000630

I have the same Error / Problem. What can we do ?

matthews

2013-07-13 01:58

reporter   ~0000632

i dont know.. just wait

rumytaulu

2013-07-13 04:10

reporter   ~0000634

It's not a bug, it's just some gem bundle not correctly updated I guess, here's the fix :

# bundle install --gemfile=/usr/share/wpscan/Gemfile

wpscan should be working after that.

matthews

2013-07-13 04:29

reporter   ~0000635

thank you for master rainercfm proeblem solved, thread close :D

CS

2013-07-13 10:20

reporter   ~0000637

Last edited: 2013-07-13 10:21

View 2 revisions

I tried what rumytaulu suggested, and:

root@BOX:~# bundle install --gemfile=/usr/share/wpscan/Gemfile
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/..
Installing addressable (2.3.5)
Installing safe_yaml (0.9.4)
Installing crack (0.4.0)
Installing diff-lcs (1.2.4)
Installing ffi (1.9.0) with native extensions
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

        /usr/bin/ruby1.9.1 extconf.rb
/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError)
        from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
        from extconf.rb:4:in `<main>'


Gem files will remain installed in /var/lib/gems/1.9.1/gems/ffi-1.9.0 for inspection.
Results logged to /var/lib/gems/1.9.1/gems/ffi-1.9.0/ext/ffi_c/gem_make.out
An error occured while installing ffi (1.9.0), and Bundler cannot continue.
Make sure that `gem install ffi -v '1.9.0'` succeeds before bundling.
root@BOX:~# wpscan
Could not find gem 'ruby-progressbar (>= 1.1.0) ruby' in the gems available on this machine.
Run `bundle install` to install missing gems.
root@BOX:~#uname -a
Linux BOX 3.6.11+ 0000007 PREEMPT Mon Mar 11 16:46:44 EDT 2013 armv6l GNU/Linux
root@BOX:~#

rumytaulu

2013-07-13 10:44

reporter   ~0000638

@cs : Try to update your gem and bundler first

apt-get install --reinstall gem
gem install bundler
bundle install --gemfile=/usr/share/wpscan/Gemfile

Hope that will solve your problem

--
rumy

CS

2013-07-13 13:08

reporter   ~0000639

@rumy: I tried your recommendations, but the last command gives me the same error.

rumytaulu

2013-07-14 09:23

reporter   ~0000640

Last edited: 2013-07-14 09:24

View 2 revisions

It seemed that you have problem with ruby or ruby-dev package too, try this :

apt-get install ruby1.9.1
apt-get install ruby1.9.1-dev

If that won't work, try to add --reinstall (after install)

and then re-try bundle install, good luck.

--
rumy

CS

2013-07-14 14:08

reporter   ~0000641

ruby1.9.1-dev was missing so after the install the command "bundle install --gemfile=/usr/share/wpscan/Gemfile" worked too. Thanks rumy!

I guess the thread can be closed.

dookie

2013-10-31 16:04

administrator   ~0001053

WPscan has been updated in wpscan_2.1+git20131024-1kali0.
apt-get update && apt-get upgrade

Issue History

Date Modified Username Field Change
2013-06-27 11:32 matthews New Issue
2013-06-27 11:32 matthews File Added: Screenshot from 2013-06-27 18:25:26.png
2013-06-28 18:26 CS Note Added: 0000600
2013-07-09 19:54 dookie Note Added: 0000622
2013-07-09 19:54 dookie Assigned To => dookie
2013-07-09 19:54 dookie Status new => feedback
2013-07-11 12:20 matthews Note Added: 0000629
2013-07-11 12:20 matthews Status feedback => assigned
2013-07-11 12:20 matthews File Added: Screenshot from 2013-07-11 19:20:37.png
2013-07-11 19:05 rainercfm Note Added: 0000630
2013-07-13 01:58 matthews Note Added: 0000632
2013-07-13 04:10 rumytaulu Note Added: 0000634
2013-07-13 04:29 matthews Note Added: 0000635
2013-07-13 10:20 CS Note Added: 0000637
2013-07-13 10:21 CS Note Edited: 0000637 View Revisions
2013-07-13 10:44 rumytaulu Note Added: 0000638
2013-07-13 13:08 CS Note Added: 0000639
2013-07-14 09:23 rumytaulu Note Added: 0000640
2013-07-14 09:24 rumytaulu Note Edited: 0000640 View Revisions
2013-07-14 14:08 CS Note Added: 0000641
2013-10-31 16:04 dookie Note Added: 0001053
2013-10-31 16:04 dookie Status assigned => resolved
2013-10-31 16:04 dookie Fixed in Version => 1.0.6
2013-10-31 16:04 dookie Resolution open => fixed
2015-08-18 12:46 g0tmi1k Priority immediate => normal